local player = {
  x = 300,
  y = 300,
  angle = 0,
  rotate = 3,
  speed = 90,
  health = 100,
  damage = 2,
  velocity = 0,
  animTimer = 0,
  spriteStart = right[1],
  pNum = 1,
}

local playerAnimation = {
  left[1] = love.graphics.newImage('images/spriteSheets/player01L/left1.png'),
  left[2] = love.graphics.newImage('images/spriteSheets/player01L/left2.png'),
  left[3] = love.graphics.newImage('images/spriteSheets/player01L/left3.png'),
  left[4] = love.graphics.newImage('images/spriteSheets/player01L/left4.png'),
  left[5] = love.graphics.newImage('images/spriteSheets/player01L/left5.png'),
  left[6] = love.graphics.newImage('images/spriteSheets/player01L/left6.png'),
  left[7] = love.graphics.newImage('images/spriteSheets/player01L/left7.png'),
  left[8] = love.graphics.newImage('images/spriteSheets/player01L/left8.png'),
  right[1] = love.graphics.newImage('images/spriteSheets/player01R/right1.png'),
  right[2] = love.graphics.newImage('images/spriteSheets/player01R/right2.png'),
  right[3] = love.graphics.newImage('images/spriteSheets/player01R/right3.png'),
  right[4] = love.graphics.newImage('images/spriteSheets/player01R/right4.png'),
  right[5] = love.graphics.newImage('images/spriteSheets/player01R/right5.png'),
  right[6] = love.graphics.newImage('images/spriteSheets/player01R/right6.png'),
  right[7] = love.graphics.newImage('images/spriteSheets/player01R/right7.png'),
  right[8] = love.graphics.newImage('images/spriteSheets/player01R/right8.png'),
}

function player_update(dt)
  if love.keyboard.isDown('left') then
    player.x = player.x - player.speed * dt
    player.spriteStart = playerAnimation.left[player.pNum]
    player.animTimer = player.animTimer + dt
    if player.animTimer > 0.1 then
      player.pNum = player.pNum + 1
      player.animTimer = 0
    end
    if player.pNum > 8 then
      player.pNum = 1
    end
  end

  if love.keyboard.isDown('right') then
    player.x = player.x + player.speed * dt
    player.spriteStart = playerAnimation.right[player.pNum]
    player.animTimer = player.animTimer + dt
    if player.animTimer > 0.1 then
      player.pNum = player.pNum + 1
      player.animTimer = 0
    end
    if player.pNum > 8 then
      player.pNum = 1
    end
  end

end 

function player_reset(key)
  if key == 'left' then
    player.animTimer = 0
    player.pNum = 1
    player.spriteStart = left[1]
  end

  if key == 'right' then
    player.animTimer = 0
    player.pNum = 1
    player.spriteStart = right[1]
  end

  -- body
end

function player_draw()
  love.graphics.draw(player.spriteStart,player.x,player.y)
end
